wordmoveで`gsub!’: invalid byte sequence in UTF-8 (ArgumentError)

wordmoveでDBをpullしたところこんなエラーが出た。

/home/vagrant/.gem/ruby/2.4.0/gems/wordmove-2.4.0/lib/wordmove/sql_adapter/default.rb:45:in `gsub!’: invalid byte sequence in UTF-8 (ArgumentError)

色々ググった結果、下記記事にある –hex-blog で解決した。

Use --hex-blob mysqldump’s flag (recommended)

welaika/wordmove Wiki – GitHub

リモート側のDBをdumpする時のフラグなので、

Movefile.ymlを開き、リモート側のdatabaseの設定箇所に、

mysqldump_options: "--hex-blob"

を追加する。

database:
  name: "***"
  user: "***"
  password: "***"
  host: "***"
  mysqldump_options: "--max_allowed_packet=50MB"
  mysqldump_options: "--hex-blob"

コメントを残す

メールアドレスが公開されることはありません。